Package com.microej.wear.components

## Enum Navigator.Gesture

- java.lang.Object
- - java.lang.Enum<Navigator.Gesture>
  - - com.microej.wear.components.Navigator.Gesture

- All Implemented Interfaces:
    `Serializable`, `Comparable<Navigator.Gesture>`
  Enclosing interface:
    Navigator

      public static enum Navigator.Gesture
      extends Enum<Navigator.Gesture>

  Enumerates gestures.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM_BUTTON_LONG_PRESS` | Bottom button long press gesture.
    `BOTTOM_BUTTON_PRESS` | Bottom button press gesture.
    `MIDDLE_BUTTON_LONG_PRESS` | Middle button long press gesture.
    `MIDDLE_BUTTON_PRESS` | Middle button press gesture.
    `POINTER_LONG_PRESS` | Pointer long press gesture.
    `SWIPE_DOWN` | Swipe down gesture.
    `SWIPE_LEFT` | Swipe left gesture.
    `SWIPE_RIGHT` | Swipe right gesture.
    `SWIPE_UP` | Swipe up gesture.
    `TOP_BUTTON_LONG_PRESS` | Top button long press gesture.
    `TOP_BUTTON_PRESS` | Top button press gesture.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Navigator.Gesture` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Navigator.Gesture[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SWIPE_LEFT

          public static final Navigator.Gesture SWIPE_LEFT

      Swipe left gesture.

    - #### SWIPE_RIGHT

          public static final Navigator.Gesture SWIPE_RIGHT

      Swipe right gesture.

    - #### SWIPE_UP

          public static final Navigator.Gesture SWIPE_UP

      Swipe up gesture.

    - #### SWIPE_DOWN

          public static final Navigator.Gesture SWIPE_DOWN

      Swipe down gesture.

    - #### TOP_BUTTON_PRESS

          public static final Navigator.Gesture TOP_BUTTON_PRESS

      Top button press gesture.

    - #### TOP_BUTTON_LONG_PRESS

          public static final Navigator.Gesture TOP_BUTTON_LONG_PRESS

      Top button long press gesture.

    - #### MIDDLE_BUTTON_PRESS

          public static final Navigator.Gesture MIDDLE_BUTTON_PRESS

      Middle button press gesture.

    - #### MIDDLE_BUTTON_LONG_PRESS

          public static final Navigator.Gesture MIDDLE_BUTTON_LONG_PRESS

      Middle button long press gesture.

    - #### BOTTOM_BUTTON_PRESS

          public static final Navigator.Gesture BOTTOM_BUTTON_PRESS

      Bottom button press gesture.

    - #### BOTTOM_BUTTON_LONG_PRESS

          public static final Navigator.Gesture BOTTOM_BUTTON_LONG_PRESS

      Bottom button long press gesture.

    - #### POINTER_LONG_PRESS

          public static final Navigator.Gesture POINTER_LONG_PRESS

      Pointer long press gesture.

  - ### Method Detail

    - #### values

          public static Navigator.Gesture[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Navigator.Gesture c : Navigator.Gesture.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Navigator.Gesture valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null